Name:    makemkv
Version: 1.17.3
Release: %mkrel 2
Source0: http://www.makemkv.com/download/makemkv-bin-%{version}.tar.gz
Source1: http://www.makemkv.com/download/makemkv-oss-%{version}.tar.gz
Group:   Video
Summary: DVD and Blu-ray to MKV converter and network streamer
License: LGPL-2.1+
URL:     http://www.makemkv.com/
BuildRoot: %_tmppath/%name-%version-build
#------------------------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: lib64expat1-devel
BuildRequires: lib64ffmpeg-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: pkgconfig
BuildRequires: zlib1-devel
#build with old openssl0.9.8-devel
#BuildRequires: openssl0.9.8-devel
#------------------------------------------------------------
#Requires: lib64openssl0.9.8

%description
MakeMKV is your one-click solution to convert video that you own into
free and patents-unencumbered format that can be played everywhere.
MakeMKV is a format converter, otherwise called "transcoder". It converts
set of MKV files, preserving most information but not changing it in any
the video clips from proprietary (and usually encrypted) disc into a
way. The MKV format can store multiple video/audio tracks with all
meta-information and preserve chapters. There are many players that can
play MKV files nearly on all platforms, and there are tools to convert
MKV files to many formats, including DVD and Blu-ray discs.

Additionally MakeMKV can instantly stream decrypted video without
intermediate conversion to wide range of players, so you may watch
Blu-ray and DVD discs with your favorite player on your favorite OS
or on your favorite device.

%prep
rm -fr makemkv-bin-%{version}
 tar xvzf %{SOURCE0}
rm -fr makemkv-oss-%{version}
 tar xvzf %{SOURCE1}

%build
cd makemkv-oss-%{version}
./configure
make

cd ..

cd makemkv-bin-%{version}
make
cd ..


%install
rm -rf %buildroot
cd makemkv-oss-%{version}
%makeinstall_std

cd ..

cd makemkv-bin-%{version}
%makeinstall_std


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %buildroot/%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop


%files
%defattr(-,root,root,-)
%{_bindir}
%{_prefix}/lib/libdriveio.so.0
%{_prefix}/lib/libmakemkv.so.1
%{_prefix}/lib/libmmbd.so.0
%{_datadir}/MakeMKV/appdata.tar
%{_datadir}/MakeMKV/blues.jar
%{_datadir}/MakeMKV/blues.policy
%{_datadir}/applications/makemkv.desktop
%{_datadir}/icons/hicolor/128x128/apps/makemkv.png
%{_datadir}/icons/hicolor/16x16/apps/makemkv.png
%{_datadir}/icons/hicolor/22x22/apps/makemkv.png
%{_datadir}/icons/hicolor/32x32/apps/makemkv.png
%{_datadir}/icons/hicolor/64x64/apps/makemkv.png
%{_bindir}/sdftool
%{_datadir}/icons/hicolor/256x256/apps/makemkv.png

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%changelog
* Thu Feb 23 2023 tex - 1.17.3-2pclos2023
- rebuild against updates

* Wed Feb 22 2023 tex - 1.17.3-1pclos2023
- new version

* Wed Aug 12 2020 tex - 1.15.2-1pclos2020
- new version

* Mon Dec 30 2019 tex - 1.14.7-1pclos2019
- update

* Fri Mar 29 2019 tex - 1.14.3-2pclos2019
- build with old openssl-0.9.8-devel

* Fri Mar 29 2019 tex - 1.14.3-1pclos2019
- new version

* Sun Jul 30 2017 bb2 <bb2> - 1.10.6-1pclos2017
- new version

* Sat Apr 01 2017 bb2 <bb2> - 1.10.5-1pclos2017
- new version

* Sat Mar 11 2017 bb2 <bb2> - 1.10.4-1pclos2017
- new version for new ffmpeg

